Add a member (creates the account + sends an invite if unknown)
/company/users E-mail already known: the account is attached to the company. Unknown: the account is created (name required), and an invitation goes out by e-mail with a link to choose a password. Restricted to an OWNER.
Headers
-
Idempotency-KeystringReplays the same 2xx response (24 h)
Request body
-
emailstring email required -
namestringName of the account to create. Required if the e-mail is unknown.
-
rolestring requiredA member’s role within a company.
OWNERandMANAGERcan write,VIEWERonly reads. Only anOWNERmanages members (scopeusers:admin).
Response
Member added
-
userIdstring always present -
emailstring email always presentLowercased.
-
rolestring always presentA member’s role within a company.
OWNERandMANAGERcan write,VIEWERonly reads. Only anOWNERmanages members (scopeusers:admin). -
invitedboolean always presenttrue: account created just now, and an invitation sent by e-mail, with a link to choose a password.false: existing account, attached to the company.
Errors
- 400
Entry refused
invalid_body - 401
Not authenticated
- 403
Insufficient scope/role, or outside your company
- 409
Already a member of the company
already_member